Package org.eclipse.lemminx.services.extensions

## Interface IDocumentLinkParticipant

All Known Implementing Classes:
  `ContentModelDocumentLinkParticipant`, `DTDDocumentLinkParticipant`, `RNGDocumentLinkParticipant`, `XIncludeDocumentLinkParticipant`, `XMLCatalogDocumentLinkParticipant`, `XSDDocumentLinkParticipant`

    public interface IDocumentLinkParticipant

Document link participant API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `findDocumentLinks​(DOMDocument document, List<org.eclipse.lsp4j.DocumentLink> links)` Find document links of the given XML document.

### Method Detail

#### findDocumentLinks

    void findDocumentLinks​(DOMDocument document,
                           List<org.eclipse.lsp4j.DocumentLink> links)

Find document links of the given XML document.

Parameters:
  `document` -
  `links` -